using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using PhoenixDLL.Class.Managers;
using PhoenixDLL.GUI.Managers.Root;

namespace PhoenixDLL.GUI.Managers
{
    /// <summary>
    /// Gestionnaire graphique de rputation
    /// </summary>
    public partial class fr_ReputationManager : fr_RootManager
    {
        #region Variables
        /// <summary>
        /// Gestionnaire de Rputations
        /// </summary>
        private ReputationManager vReputationManager = new ReputationManager();
        #endregion

        #region Constructeur
        /// <summary>
        /// Constructeur
        /// </summary>
        public fr_ReputationManager()
        {
            InitializeComponent();
        }
        #endregion

        #region Mthodes
        /// <summary>
        /// Traitement d'un clique sur OK
        /// </summary>
        protected override void ProcessOK()
        {
            try
            {
                switch (vUse)
                {
                    case Use.Add:
                        vReputationManager.Add();
                        break;
                    case Use.Delete:
                        throw new Exception("A implmenter");
                    case Use.Update:
                        vReputationManager.Update();
                        break;
                }
            }
            catch (Exception ex)
            {
                MessageBox.Show("Une erreur est survenur pendant le traitement de l'honoraire\r\n"
                    + ex.Message, "Erreur", MessageBoxButtons.OK, MessageBoxIcon.Error);
            }
            finally { this.Close(); }
        }
        #endregion

        #region Accesseurs
        /// <summary>
        /// Retourne ou initialise les informations sur la rputation
        /// </summary>
        public ReputationManager Manager
        {
            get { return vReputationManager; }
            set
            {
                vReputationManager = value;
                pg_PropertyGrid.SelectedObject = Manager;
            }
        }
        #endregion
    }
}

